Lots of Deprecation Notices on the latest PHP versions

Hi,

"Site Categories" causes deprecation notices in my dashboard.
Here they are:

<b>Notice</b>:  La méthode du constructeur appelée pour WP_Widget dans Bcat_WidgetCategories est <strong>obsolète</strong> depuis la version 4.3.0&nbsp;! Utilisez <pre>__construct()</pre> à la place. in <b>/xxxxx/htdocs/wp-includes/functions.php</b> on line <b>3767</b><br>
<br>
<b>Notice</b>:  La méthode du constructeur appelée pour WP_Widget dans Bcat_WidgetCategorySites est <strong>obsolète</strong> depuis la version 4.3.0&nbsp;! Utilisez <pre>__construct()</pre> à la place. in <b>/xxxxx/htdocs/wp-includes/functions.php</b> on line <b>3767</b><br>
<br>
<b>Notice</b>:  La méthode du constructeur appelée pour WP_Widget dans Bcat_WidgetCloud est <strong>obsolète</strong> depuis la version 4.3.0&nbsp;! Utilisez <pre>__construct()</pre> à la place. in <b>/xxxxx/htdocs/wp-includes/functions.php</b> on line <b>3767</b><br>

The fix is simply to use properly named constructors (ie __construct() functions) in the /lib/widgets/ classes.

Regards,
Thomas